### Virtual Method

# Cogl Onscreen queue_damage_region

#### Declaration [src]

    void
    queue_damage_region (
      CoglOnscreen* onscreen,
      const MtkRegion* region
    )

#### Description [src]

Implementation for https://www.khronos.org/registry/EGL/extensions/KHR/EGL_KHR_partial_update.txt This immediately queues state to OpenGL that will be used for the next swap. This needs to be called every frame.

The expected values are independent of any viewport transforms applied to the framebuffer.

#### Parameters

`region`

  Type: `MtkRegion`

  A region representing damage.

  The data is owned by the caller of the method.